# List snapshots (/docs/api-reference/sandboxes/list-snapshots)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 780 · updated: 2026-07-30 -->
Related: [List sandboxes](/docs/api-reference/sandboxes/list-sandboxes.md), [Create sandbox](/docs/api-reference/sandboxes/create-sandbox.md), [List sandboxes (v2)](/docs/api-reference/sandboxes/list-sandboxes-v2.md), [List sandbox metrics](/docs/api-reference/sandboxes/list-sandbox-metrics.md), [Get sandbox logs](/docs/api-reference/sandboxes/get-sandbox-logs.md), [Get sandbox logs (v2)](/docs/api-reference/sandboxes/get-sandbox-logs-v2.md)

# List snapshots

`GET /snapshots`

List all snapshots for the team

## OpenAPI

```json
{
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "parameters": [
    {
      "name": "sandboxID",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "description": "Filter snapshots by source sandbox ID"
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "Maximum number of items to return per page",
      "required": false,
      "schema": {
        "type": "integer",
        "format": "int32",
        "minimum": 1,
        "default": 100,
        "maximum": 100
      }
    },
    {
      "name": "nextToken",
      "in": "query",
      "description": "Cursor to start the list from",
      "required": false,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successfully returned snapshots",
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "snapshotID",
                "names"
              ],
              "properties": {
                "snapshotID": {
                  "type": "string",
                  "description": "Identifier of the snapshot template including the tag. Uses namespace/alias when a name was provided (e.g. team-slug/my-snapshot:default), otherwise falls back to the raw template ID (e.g. abc123:default)."
                },
                "names": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  },
                  "description": "Full names of the snapshot template including team namespace and tag (e.g. team-slug/my-snapshot:v2)"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "description": "Authentication error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    }
  }
}
```
